/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PFAM                                                     */
/* Tabela : PRODUTOFAM                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 17/01/2005 - JOO PAULO REIS                                               */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PFAM
BEFORE INSERT OR UPDATE OR DELETE
ON PRODUTOFAM FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPFAM := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDFAMILISALD,0) <> NVL(:NEW.CDFAMILISALD,0)) OR
         (NVL(:OLD.CDPRODUTO   ,0) <> NVL(:NEW.CDPRODUTO   ,0)) THEN
         :NEW.DTULTATUPFAM := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODUTOFAM', '', 'CDFAMILISALD ='||:OLD.CDFAMILISALD||';
                                                  CDPRODUTO    ='||:OLD.CDPRODUTO   ||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODUTOFAM MODIFY DTULTATUPFAM DEFAULT SYSDATE
/
