/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CHRE                                                     */
/* Tabela : CHEQUERECE                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 14/12/2006 - Adalberto Teodoro                                             */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CHRE'  and
            type = 'TR'                 and
            u.uid = o.uid               and
            u.name = USER)
  DROP TRIGGER DTULTATU_CHRE
  GO

CREATE TRIGGER DTULTATU_CHRE
ON CHEQUERECE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CHEQUERECE', 'NRCHEQUERECE=' + NRCHEQUERECE +
                                     'CDBANCHEQREC=' + CDBANCHEQREC +
                                     'CDAGECHEQREC=' + CDAGECHEQREC +
                                     'CDCNTCHEQREC=' + CDCNTCHEQREC +
                                     ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CHEQUERECE
      SET DTULTATUCHRE = GETDATE()
      FROM INSERTED
      WHERE
       ISNULL(CHEQUERECE.NRCHEQUERECE,0) = ISNULL(INSERTED.NRCHEQUERECE,0) AND
       ISNULL(CHEQUERECE.CDBANCHEQREC,0) = ISNULL(INSERTED.CDBANCHEQREC,0) AND
       ISNULL(CHEQUERECE.CDAGECHEQREC,0) = ISNULL(INSERTED.CDAGECHEQREC,0) AND
       ISNULL(CHEQUERECE.CDCNTCHEQREC,0) = ISNULL(INSERTED.CDCNTCHEQREC,0);
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_CHRE','4.11.191';
GO

